#!/usr/bin/env node

const program = require("commander");
const { iconfontExport } = require("./libs/core");

program
  .description("iconfont-hero-cli是一个通过配置，就可以生成结构化图标schema的小工具")
  .name("iconfont-hero")
  .usage("<option>")
  .version('0.0.5')
  .option('-c, --configPath <path>', 'iconfont config file')
  .option('-o, --outputDir [path]', 'output iconfont schema dir', '.iconfont')
  .option('-t, --svgType [string]', 'icon svg format type（base64 | svg）', 'svg')
  .option('-f, --fill [string]', 'icon svg fill', '#ffffff')
  .option('-w, --width [number]', 'icon svg width', 10)
  .action((options) => {
    if(options.configPath) {
      iconfontExport(options);
    }
  })
  .parse(process.argv);
